#include <stdio.h>
#include <stdlib.h>

#include "ntm_conf.h"
#include "ausnmp.h"
#include "pktsnap.h"
#include "flowhash.h"

// cc -o ab32 -I../.. -I../snmplib test_ab32.c
//    -S to see assembler source

int main(int argc, char *argv[])
{
  counter64 c, d;
   Bit32 b;
   int j;
   double x;

   b = 0;
   assign_Bit32_to_c64(c, b);
   printf("Assign 0 to c: c=%llu\n", c);

   b = 0x10000000;
   //   c = 0x1000000000000000LL;
   c = 0;
   for (j = 0; j != 20; ++j) {
      d = c;
      add_Bit32_to_counter64(c, b);   
      printf(" add %0lx to %llx -> %0llx", b, d, c);
      x = (doublefrom64(c))*8.0;
      printf("  d=%f, rate=%f\n", x, x/((double)(1)));
      }
   }
