#include <stdio.h>
#include <stdlib.h>
#include <string.h>

# include       <fcntl.h>

# ifndef        O_LARGEFILE
// # define O_LARGEFILE  0
# define O_LARGEFILE  0100000
# endif

#include <zlib.h>

int main(int argc,char *argv[])
{
   int fd;
   gzFile gf;
   int n;  char buf[50];
   int r, t;

   printf("O_LARGEFILE = %0x\n\n", O_LARGEFILE);

   fd = open("test.gz", O_RDWR|O_CREAT|O_TRUNC|O_LARGEFILE, 0644);
   printf("open called, fd=%d\n");

   gf = gzdopen(dup(fd), "w");
   printf("gzdopen called, gf=%x\n");

   r = 10000000;
for (t = 0; t != 30; ++t) {
   for (n = 0; n != r; ++n) {
      sprintf(buf, "test record %6d\n", n);
      gzwrite(gf, buf, (unsigned)strlen(buf));
      }
   gzflush(gf, Z_SYNC_FLUSH);

   gzclose(gf);
   gf = gzdopen(dup(fd), "w");
   printf("gzdopen called 2nd, gf=%x  <<< r=%d\n", r);

   for (n = 0; n != r; ++n) {
      sprintf(buf, "2nd test record %6d\n", n);
      gzwrite(gf, buf, (unsigned)strlen(buf));
      }
   gzflush(gf, Z_SYNC_FLUSH);

   gzclose(gf);
   gf = gzdopen(dup(fd), "w");
   printf("gzdopen called 3rd, gf=%x\n");

   for (n = 0; n != r; ++n) {
      sprintf(buf, "3rd test record %6d\n", n);
      gzwrite(gf, buf, (unsigned)strlen(buf));
      }
   gzflush(gf, Z_SYNC_FLUSH);
}
//   n = 3*n / 0;

   gzclose(gf);
   }
